From ef8098cd6cb8b5989afef2e8461fe6ba9570a854 Mon Sep 17 00:00:00 2001
From: Josef Schlehofer <pepe.schlehofer@gmail.com>
Date: Wed, 24 Nov 2021 12:47:40 +0100
Subject: [PATCH] mwifiex: increase the global limit up to 4 SSID

Firmware for SDIO (88W8997), which is used in Turris MOX SDIO addon [1],
allows up to 4 SSID. Unfortunately, driver (even in mainline kernel)
has a global limit for all Marvell cards up to 3 SSID.

Pali Rohár tested this patch and verified that the SDIO Wi-Fi addon works
with the 4 SSID. So, let's increase the global limit from 3 to 4.

Ideally, this patch should be done differently before sending
it to Linux kernel. It means that limit definition should be moved to
the card-specific structure.

[1] https://docs.turris.cz/hw/mox/addons/#wi-fi-sdio
---
 drivers/net/wireless/marvell/mwifiex/decl.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/drivers/net/wireless/marvell/mwifiex/decl.h
+++ b/drivers/net/wireless/marvell/mwifiex/decl.h
@@ -18,7 +18,7 @@
 #include <net/cfg80211.h>
 
 #define MWIFIEX_BSS_COEX_COUNT	     2
-#define MWIFIEX_MAX_BSS_NUM         (3)
+#define MWIFIEX_MAX_BSS_NUM         (4)
 
 #define MWIFIEX_DMA_ALIGN_SZ	    64
 #define MWIFIEX_RX_HEADROOM	    64
@@ -100,7 +100,7 @@
 #define MWIFIEX_RATE_INDEX_OFDM0   4
 
 #define MWIFIEX_MAX_STA_NUM		3
-#define MWIFIEX_MAX_UAP_NUM		3
+#define MWIFIEX_MAX_UAP_NUM		4
 #define MWIFIEX_MAX_P2P_NUM		3
 
 #define MWIFIEX_A_BAND_START_FREQ	5000
